# mautrix-signal

![Version: 0.2.0](https://img.shields.io/badge/Version-0.2.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: latest](https://img.shields.io/badge/AppVersion-latest-informational?style=flat-square)

A Matrix-Signal puppeting bridge.

**Homepage:** <https://github.com/tulir/mautrix-signal>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/matrix-org/synapse>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.appservice.address | string | `"http://localhost:29328"` | The address that the homeserver can use to connect to this appservice. |
| config.appservice.as_token | string | `""` |  |
| config.appservice.bot_avatar | string | `"mxc://maunium.net/wPJgTQbZOtpBFmDNkiNEMDUp"` |  |
| config.appservice.bot_displayname | string | `"Signal bridge bot"` |  |
| config.appservice.bot_username | string | `"signalbot"` |  |
| config.appservice.database | string | `"postgres://username:password@hostname/db"` |  |
| config.appservice.database_opts.max_size | int | `10` |  |
| config.appservice.database_opts.min_size | int | `5` |  |
| config.appservice.ephemeral_events | bool | `false` |  |
| config.appservice.hostname | string | `"0.0.0.0"` |  |
| config.appservice.hs_token | string | `""` |  |
| config.appservice.id | string | `"signal"` |  |
| config.appservice.max_body_size | int | `1` |  |
| config.appservice.port | int | `29328` |  |
| config.appservice.tls_cert | bool | `false` |  |
| config.appservice.tls_key | bool | `false` |  |
| config.bridge.autocreate_contact_portal | bool | `false` |  |
| config.bridge.autocreate_group_portal | bool | `true` |  |
| config.bridge.command_prefix | string | `"!signal"` |  |
| config.bridge.contact_list_names | string | `"disallow"` |  |
| config.bridge.delivery_error_reports | bool | `false` |  |
| config.bridge.delivery_receipts | bool | `false` |  |
| config.bridge.displayname_preference[0] | string | `"full_name"` |  |
| config.bridge.displayname_preference[1] | string | `"phone"` |  |
| config.bridge.displayname_template | string | `"{displayname} (Signal)"` |  |
| config.bridge.double_puppet_allow_discovery | bool | `false` |  |
| config.bridge.double_puppet_server_map | object | `{}` |  |
| config.bridge.encryption.allow | bool | `false` |  |
| config.bridge.encryption.default | bool | `false` |  |
| config.bridge.encryption.key_sharing.allow | bool | `false` |  |
| config.bridge.encryption.key_sharing.require_cross_signing | bool | `false` |  |
| config.bridge.encryption.key_sharing.require_verification | bool | `true` |  |
| config.bridge.federate_rooms | bool | `true` |  |
| config.bridge.login_shared_secret_map | object | `{}` |  |
| config.bridge.management_room_multiple_messages | bool | `false` |  |
| config.bridge.management_room_text.additional_help | string | `""` |  |
| config.bridge.management_room_text.welcome | string | `"Hello, I'm a Signal bridge bot."` |  |
| config.bridge.management_room_text.welcome_connected | string | `"Use `help` for help."` |  |
| config.bridge.management_room_text.welcome_unconnected | string | `"Use `help` for help or `link` to log in."` |  |
| config.bridge.periodic_sync | int | `0` |  |
| config.bridge.permissions.* | string | `"relay"` |  |
| config.bridge.private_chat_portal_meta | bool | `false` |  |
| config.bridge.provisioning.enabled | bool | `true` |  |
| config.bridge.provisioning.prefix | string | `"/_matrix/provision/v1"` |  |
| config.bridge.provisioning.segment_key | string | `nil` |  |
| config.bridge.provisioning.shared_secret | string | `"generate"` |  |
| config.bridge.relay.enabled | bool | `false` |  |
| config.bridge.relay.message_formats."m.audio" | string | `"$sender_displayname sent an audio file"` |  |
| config.bridge.relay.message_formats."m.emote" | string | `"* $sender_displayname $message"` |  |
| config.bridge.relay.message_formats."m.file" | string | `"$sender_displayname sent a file"` |  |
| config.bridge.relay.message_formats."m.image" | string | `"$sender_displayname sent an image"` |  |
| config.bridge.relay.message_formats."m.location" | string | `"$sender_displayname sent a location"` |  |
| config.bridge.relay.message_formats."m.notice" | string | `"$sender_displayname: $message"` |  |
| config.bridge.relay.message_formats."m.text" | string | `"$sender_displayname: $message"` |  |
| config.bridge.relay.message_formats."m.video" | string | `"$sender_displayname sent a video"` |  |
| config.bridge.resend_bridge_info | bool | `false` |  |
| config.bridge.sync_direct_chat_list | bool | `false` |  |
| config.bridge.sync_with_custom_puppets | bool | `true` |  |
| config.bridge.username_template | string | `"signal_{userid}"` |  |
| config.homeserver.address | string | `"https://example.com"` | The address that this appservice can use to connect to the homeserver. |
| config.homeserver.asmux | bool | `false` |  |
| config.homeserver.connection_limit | int | `100` |  |
| config.homeserver.domain | string | `"example.com"` | The domain of the homeserver (for MXIDs, etc). |
| config.homeserver.http_retry_count | int | `4` |  |
| config.homeserver.message_send_checkpoint_endpoint | string | `nil` |  |
| config.homeserver.status_endpoint | string | `nil` |  |
| config.homeserver.verify_ssl | bool | `true` | Whether or not to verify the SSL certificate of the homeserver. Only applies if address starts with https:// |
| config.logging.formatters.colored.() | string | `"mautrix_signal.util.ColorFormatter"` |  |
| config.logging.formatters.colored.format | string | `"[%(asctime)s] [%(levelname)s@%(name)s] %(message)s"` |  |
| config.logging.formatters.normal.format | string | `"[%(asctime)s] [%(levelname)s@%(name)s] %(message)s"` |  |
| config.logging.handlers.console.class | string | `"logging.StreamHandler"` |  |
| config.logging.handlers.console.formatter | string | `"colored"` |  |
| config.logging.handlers.file.backupCount | int | `10` |  |
| config.logging.handlers.file.class | string | `"logging.handlers.RotatingFileHandler"` |  |
| config.logging.handlers.file.filename | string | `"./mautrix-signal.log"` |  |
| config.logging.handlers.file.formatter | string | `"normal"` |  |
| config.logging.handlers.file.maxBytes | int | `10485760` |  |
| config.logging.loggers.aiohttp.level | string | `"INFO"` |  |
| config.logging.loggers.mau.level | string | `"DEBUG"` |  |
| config.logging.root.handlers[0] | string | `"file"` |  |
| config.logging.root.handlers[1] | string | `"console"` |  |
| config.logging.root.level | string | `"DEBUG"` |  |
| config.logging.version | int | `1` |  |
| config.manhole.enabled | bool | `false` |  |
| config.manhole.path | string | `"/var/tmp/mautrix-signal.manhole"` |  |
| config.manhole.whitelist[0] | int | `0` |  |
| config.metrics.enabled | bool | `false` |  |
| config.metrics.listen_port | int | `8000` |  |
| config.signal.avatar_dir | string | `"/signald/avatars"` |  |
| config.signal.data_dir | string | `"/signald"` |  |
| config.signal.delete_unknown_accounts_on_start | bool | `false` |  |
| config.signal.enable_disappearing_messages_in_groups | bool | `false` |  |
| config.signal.outgoing_attachment_dir | string | `"/signald/tmp/outgoing_attachment_dir"` |  |
| config.signal.registration_enabled | bool | `true` |  |
| config.signal.remove_file_after_handling | bool | `true` |  |
| config.signal.socket_path | string | `"/signald/signald.sock"` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.mautrixSignal.pullPolicy | string | `"Always"` |  |
| image.mautrixSignal.repository | string | `"dock.mau.dev/mautrix/signal"` |  |
| image.mautrixSignal.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| image.signald.pullPolicy | string | `"IfNotPresent"` |  |
| image.signald.repository | string | `"signald/signald"` |  |
| image.signald.tag | string | `"0.23.0"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0] | string | `"chart-example.local"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteOnce"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `""` |  |
| persistence.size | string | `"1Gi"` |  |
| persistence.skipuninstall | bool | `false` |  |
| persistence.storageClassName | string | `""` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| registration.as_token | string | `nil` |  |
| registration.hs_token | string | `nil` |  |
| registration.id | string | `"signal"` |  |
| registration.namespaces.users[0].exclusive | bool | `true` |  |
| registration.namespaces.users[0].group_id | string | `"signal:example.org"` |  |
| registration.namespaces.users[0].regex | string | `"@signal_.+:example.org"` |  |
| registration.rate_limited | bool | `false` |  |
| registration.sender_localpart | string | `"signalbot"` |  |
| registration.url | string | `"http://{{ include \"mautrix-signal.fullname\" . }}:29320"` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `29328` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
